<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <requires lib="Adw" version="1.0"/>
  <template class="ImportWalletScreen" parent="AdwBin">
    <property name="hexpand">true</property>
    <property name="vexpand">true</property>
    <child>
      <object class="GtkBox">
        <property name="vexpand">true</property>
        <property name="hexpand">true</property>
        <child>
          <object class="AdwStatusPage">
            <property name="hexpand">true</property>
            <property name="vexpand">true</property>
            <property name="title" translatable="true">Import wallet</property>
            <property name="description" translatable="true">Enter your 12 word wallet recovery phrase</property>
            <child>
              <object class="AdwPreferencesPage">
                <child>
                  <object class="AdwPreferencesGroup">
                    <child>
                      <object class="AdwEntryRow" id="recovery_phrase12">
                        <property name="title" translatable="true">12 word recovery phrase</property>
                      </object>
                    </child>
                    <child>
                      <object class="AdwActionRow">
                        <property name="title" translatable="true">I have a 24 word recovery phrase</property>
                        <child>
                          <object class="GtkSwitch" id="enable_24word_recovery_phrase">
                            <property name="valign">center</property>
                            <property name="state">false</property>
                          </object>
                        </child>
                      </object>
                    </child>
                    <child>
                      <object class="AdwEntryRow" id="recovery_phrase24">
                        <property name="title" translatable="true">24 word recovery phrase</property>
                        <property name="sensitive">False</property>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkOverlay">
            <child type="overlay">
              <object class="GtkButton" id="back_button">
                <property name="margin-end">100</property>
                <property name="margin-bottom">20</property>
                <property name="label">Back</property>
                <property name="halign">end</property>
                <property name="valign">end</property>
                <property name="tooltip-text" translatable="true">Back</property>
                <property name="sensitive">True</property>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkOverlay">
            <child type="overlay">
              <object class="GtkButton" id="next_button">
                <property name="margin-end">20</property>
                <property name="margin-bottom">20</property>
                <property name="label">Next</property>
                <property name="halign">end</property>
                <property name="valign">end</property>
                <property name="tooltip-text" translatable="true">Next</property>
                <property name="sensitive">False</property>
                <style>
                  <class name="suggested-action"/>
                </style>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
  </template>
</interface>

